<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.3
Name: Mobilität
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.3.2.3-2011-12-19T000000">
   <title>Mobilität</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]
Item: (Mobilitaet)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']
Item: (Mobilitaet)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']"
         id="tmp-r-b7e9c715-c754-42a5-9d86-da3371052091">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.3'])&gt;=1 ">(Mobilitaet): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.3'])&lt;=1">(Mobilitaet): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="count(hl7:code[(@code='PFMOB' and @codeSystem='1.2.40.0.34.5.40')])&gt;=1 and not(hl7:code[(@code='PFMOB' and @codeSystem='1.2.40.0.34.5.40')]/@nullFlavor)">(Mobilitaet): Element hl7:code[(@code='PFMOB' and @codeSystem='1.2.40.0.34.5.40')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="count(hl7:code[(@code='PFMOB' and @codeSystem='1.2.40.0.34.5.40')])&lt;=1">(Mobilitaet): Element hl7:code[(@code='PFMOB' and @codeSystem='1.2.40.0.34.5.40')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Mobilitaet): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(Mobilitaet): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Mobilitaet): Element hl7:text ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(Mobilitaet): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']])&lt;=1">(Mobilitaet): Element hl7:component[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']])&lt;=1">(Mobilitaet): Element hl7:component[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:templateId[@root='1.2.40.0.34.11.3.2.3']
Item: (Mobilitaet)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:templateId[@root='1.2.40.0.34.11.3.2.3']"
         id="tmp-r-48981ac0-d58e-4ff6-b88b-3a63dbc28c29">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mobilitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="string(@root)=('1.2.40.0.34.11.3.2.3')">(Mobilitaet): Der Wert von @root MUSS '1.2.40.0.34.11.3.2.3' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:code[(@code='PFMOB' and @codeSystem='1.2.40.0.34.5.40')]
Item: (Mobilitaet)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:code[(@code='PFMOB' and @codeSystem='1.2.40.0.34.5.40')]"
         id="tmp-r-46006536-4ce4-4560-a00d-c23c5eac7927">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mobilitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="@nullFlavor or (@code='PFMOB' and @codeSystem='1.2.40.0.34.5.40')">(Mobilitaet): Der Elementinhalt MUSS einer von 'code 'PFMOB' codeSystem '1.2.40.0.34.5.40'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:title
Item: (Mobilitaet)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:title"
         id="tmp-r-a2b3d1a9-d38b-47e2-959f-ac52d63faf07">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Mobilitaet): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.3.2.3-2011-12-19T000000.html"
              test="text()='Mobilität'">(Mobilitaet): Der Elementinhalt von 'hl7:title' MUSS ''Mobilität'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:text
Item: (Mobilitaet)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30032
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:component[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]
Item: (RisikenHilfsmittelRessourcen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:component[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.8']]"
         id="tmp-r-d23f2627-870d-468b-8d14-9c42567a1c0d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(RisikenHilfsmittelRessourcen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(RisikenHilfsmittelRessourcen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.30032
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:component[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]
Item: (RisikenHilfsmittelRessourcen)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.3']/hl7:component[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.1.2.9']]"
         id="tmp-r-36011ea3-b86c-4b56-84d1-44b29544fb52">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(RisikenHilfsmittelRessourcen): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20151104T215327/tmp-1.2.40.0.34.11.30032-2013-11-07T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(RisikenHilfsmittelRessourcen): Der Wert von @contextConductionInd MUSS 'true' sein.</assert>
   </rule>
</pattern>
